Bug 47979 - Writer TABLES: impossible to select table
Summary: Writer TABLES: impossible to select table
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables-Select
  Show dependency treegraph
 
Reported: 2012-03-27 23:49 UTC by sasha.libreoffice
Modified: 2021-07-13 03:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
test case to demonstrate table selecting problem (12.11 KB, application/vnd.oasis.opendocument.text)
2012-03-27 23:49 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2012-03-27 23:49:42 UTC
Created attachment 59138 [details]
test case to demonstrate table selecting problem

Goal of this document: print 4 small document at once. I have created table and placed documents in each cell of table. Now I want to select this table and remove borders. But can not select.
Steps to reproduce problem:
0. Start attached document
1. Try select table by placing mouse near top left corner of table
Expected: selects all outer table
Actually: selects small table in first cell
2. place mouse cursor over top of outer table until small arrow appears and click mouse
Expected: selects all outer table
Actually: nothing selects and cursor places in text of first row
3. place mouse cursor to left of outer table until small arrow appears and click mouse
Expected: selects one row of outer table
Actually: selects small table in row
4. press F5 to open Navigator and double click "table 2"
Expected: selects all outer table
Actually: nothing selects and cursor places in small table in first row
5. Right click "table 2" in Navigator, select in context menu Talbe->Edit, remove borders
Expected: removed borders of outer table
Actually: removed borders of small table in first row
Comment 1 sasha.libreoffice 2012-03-28 00:04:35 UTC
6. Place cursor into small table in second row of outer table. Press Ctrl-A several times.
Expected: selects all outer table
Actually: selects small table in first cell
7. Place text cursor into text in first cell. Press Ctrl-A several times.
Expected: selects all outer table
Actually: selects small table in first cell

Reproduced in 3.3.4 and 3.5.1 on Fedora 64 bit and Windows XP 32 bit

Workaround:
1. place text cursor into text in second cell of outer table and press Ctrl-A
2. place cursor into text in first cell of outer table and drag until bottom cell
Comment 2 bfoman (inactive) 2012-07-03 03:47:57 UTC
Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Confirmed all selection problems.

(In reply to comment #0)
> placed documents in each cell of table. Now I want to select this table and
> remove borders. But can not select.

Remove table borders using mouse only:
1. Open document.
2. Right click>Table>Set no borders

Seems to work...
Comment 3 sasha.libreoffice 2012-07-06 04:35:48 UTC
Thanks for additional workaround. I will know it.
Comment 4 ydutrieux 2012-12-14 17:54:26 UTC
In libo Version 4.0.0.0.beta1 (Build ID: 87906242e87d3ddb2ba9827818f2d1416d80cc7)
Win7 32bits,


I confirm ONLY point 4 :
4. press F5 to open Navigator and double click "table 2"
Expected: selects all outer table
Actually: nothing selects and cursor places in small table in first row

The rest is as expected.
Yves
Comment 5 QA Administrators 2015-01-05 17:51:27 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-01-22 14:14:22 UTC
(In reply to sasha.libreoffice from comment #1)
> 6. Place cursor into small table in second row of outer table. Press Ctrl-A
> several times.
> Expected: selects all outer table
> Actually: selects small table in first cell
> 7. Place text cursor into text in first cell. Press Ctrl-A several times.
> Expected: selects all outer table
> Actually: selects small table in first cell

I can't confirm these, but I can confirm the others.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 7 Matthew Francis 2015-04-07 09:44:43 UTC
Occurs back to OOo / LO 3.3.0
-> Version: Inherited from OOo
Comment 8 tommy27 2016-04-16 07:26:58 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2017-05-22 13:23:21 UTC Comment hidden (obsolete)
Comment 10 Zineta 2017-10-13 07:35:10 UTC
Reproduced in LO 5.2.7 and LO 6.0.0 on Win 7 for all numbered points.

In 7. When press Ctrl+A  first time:selects only text in current cell;
press Ctrl+A second time :selects small table in first cell ;
press Ctrl-A third time: all content of outer table selected but no outer table itself
(content only without border)
Expected:when press Ctrl+A selects all outer table
Comment 11 QA Administrators 2018-10-14 02:57:07 UTC Comment hidden (obsolete)
Comment 12 Regis Perdreau 2018-10-31 08:34:08 UTC
Confirmed in Version: 6.2.0.0.alpha1+
Build ID: 629f9ff63bf3a1e16ed38a737a7fdd074b9c0ca7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: fr-FR (fr_FR.UTF-8); Calc: CL


Can't select multiple cell in tables with CTRL too (altough it's possible in Calc and for other items)
Comment 13 QA Administrators 2021-07-13 03:39:43 UTC
Dear sasha.libreoffice,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug